#!/bin/sh

# set lan defaults
uci set network.lan.ipaddr='192.168.100.1'

# set wifi deaults
uci set wireless.ap.encryption='none'
local bExists=$(uci -q get wireless.ap.key)
if [ "$bExists" != "" ]; then
	uci delete wireless.ap.key
fi
uci set wireless.sta.disabled='1'
local bExists=$(uci -q get wireless.sta.key)
if [ "$bExists" != "" ]; then
	uci delete wireless.sta.key
fi

uci set dhcp.lan.dhcpv6=server
uci set dhcp.lan.ra=server
uci set wireless.radio0.disabled=0
uci set network.lan.proto=static
uci set network.lan.macaddr='9c:65:f9:29:5c:5b'
/etc/init.d/dnsmasq enable
/etc/init.d/dnsmasq start

uci commit
wifi
sleep 3
wifi

mac_id=$(sh /www/ati/scripts/get-id.sh)
ati_id=$( printf "ATI-Straton-%d" $mac_id )
sh /www/ati/scripts/linkit.set-network.sh "WIFI_AP" "$ati_id" "" "none"
uci commit

wifi
sleep 3
wifi