module.exports = {
    isDebug: false,
    logLevel: 'ERROR',
    logRequests: false,
    baudrate: 57600,
    tempratureCalculationMethod: 1,
    ignoreTemperatureProtection: false,
    showAllTemperatures: false,
    temperatureRequestInterval: 2000,
    maxTemperature: 60,
    memwatchLogfile: false,
    memwatchInterval: 5,
    memwatchMaxMemory: 130,
    rawTemperatureLogfile: false,
    debugTemperatures: false,
    colorFactors: [{ name: 'R', factor: 0.8 }, { name: 'UV', factor: 0.8 }],
    colorReduceTemperatures: [{ name: 'B', temperature: 30, max: 254 }, { name: 'RB', temperature: 30, max: 254 }],
    webserverPort: 80,
    params: {
        params: { ignore: true },
        colorFactors: { ignore: true },
        colorReduceTemperatures: { ignore: true },
        logLevel: { label: 'Loglevel', values: ['DEBUG', 'INFO', 'ERROR'] },
        isDebug: { ignore: true },
        memwatchMaxMemory: { label: 'Memwatch.MaxMemory' },
        memwatchInterval: { label: 'Memwatch.Interval' },
        showAllTemperatures: { label: 'All Temperatures', values: ['true', 'false'] },
    }
}